<?php

declare(strict_types=1);

namespace Dedi\SyliusMigrationPlugin\Dto;

final class TruncateMappingDefinition
{
    private readonly string $mode;

    private readonly ?string $sql;

    private readonly ?string $table;

    public function __construct(string $mode, ?string $table = null, ?string $sql = null)
    {
        $this->mode = $mode;
        $this->table = $table;
        $this->sql = $sql;
    }

    public static function fromArray(array $data): self
    {
        return new self($data['mode'], $data['table'], $data['sql']);
    }

    public function getMode(): string
    {
        return $this->mode;
    }

    public function getSql(): ?string
    {
        return $this->sql;
    }

    public function getTable(): ?string
    {
        return $this->table;
    }
}
