<?php

declare(strict_types=1);

namespace Dedi\SyliusMigrationPlugin\Service\Logger;

use Dedi\SyliusMigrationPlugin\Definition\TableMappingDefinition;

interface MigrationLoggerInterface
{
    public function debug(TableMappingDefinition $tableMappingDefinition, string $message, array $data = []): void;

    public function notice(TableMappingDefinition $tableMappingDefinition, string $message, array $data = []): void;

    public function info(TableMappingDefinition $tableMappingDefinition, string $message, array $data = []): void;

    public function error(TableMappingDefinition $tableMappingDefinition, string $message, array $data = []): void;

    public function warning(TableMappingDefinition $tableMappingDefinition, string $message, array $data = []): void;

    public function critical(TableMappingDefinition $tableMappingDefinition, string $message, array $data = []): void;

    public function log($level, string $message, array $context = []);
}
