<?php

declare(strict_types=1);

namespace Dedi\SyliusMigrationPlugin\Service\Specification;

use Dedi\SyliusMigrationPlugin\Dto\MigrationOption;

class ShouldGlobalTruncateBeExecuted
{
    public function isSatisfiedBy(MigrationOption $migrationOption): bool
    {
        if (false === $migrationOption->isTruncate()) {
            return false;
        }

        if (null !== $migrationOption->getGroup()) {
            return false;
        }

        if (null !== $migrationOption->getTables()) {
            return false;
        }

        return true;
    }
}
